import {
	HANDLE_CHANGE_EVENT,
	RESET_FORM,
	HANDLE_SUBMIT_EVENT,
	ADD_HOBBY,
	REMOVE_HOBBY,
	REMOVE_ITEM,
	EDIT_ITEM,
	SUBMIT_HANDLER_EDIT
} from "../actionTypes/actionTypes";

export const handleChangeEvent = payload => {
	return {
		type: HANDLE_CHANGE_EVENT,
		payload
	};
};

export const resetForm = () => {
	return {
		type: RESET_FORM
	};
};

export const handleSubmitEvent = () => {
	return {
		type: HANDLE_SUBMIT_EVENT
	};
};

export const addHobby = () => {
	return {
		type: ADD_HOBBY
	};
};

export const removeHobby = payload => {
	return {
		type: REMOVE_HOBBY,
		payload
	};
};

export const removeItem = payload => {
	return {
		type: REMOVE_ITEM,
		payload
	};
};

export const editItem = payload => {
	return {
		type: EDIT_ITEM,
		payload
	};
};

export const submitHandlerEdit = () => {
	return {
		type: SUBMIT_HANDLER_EDIT
	};
};
