import * as types from "../actionTypes/actionTypes";

import axios from "axios";

const authRequest = payload => ({
	type: types.AUTH_REQUEST,
	payload
});
const authRequestSuccess = payload => ({
	type: types.AUTH_REQUEST_SUCCESS,
	payload
});
const authRequestFail = payload => ({
	type: types.AUTH_REQUEST_FAIL,
	payload
});

export const auth = payload => {
	return async dispatch => {
		dispatch(authRequest());
		try {
			const { data } = await axios.post("http://subdomain.entony.fs.a-level.com.ua/api/auth/login", payload);

			dispatch(authRequestSuccess(data));
		} catch (error) {
			dispatch(authRequestFail(error));
		}
	};
};
